package tasks.util;

/**
 * Worker for command timeout
 * 
 * @author Lisa Nguyen Quang Do
 */

public class Worker extends Thread {

	private final Process process;
	public Integer exit;

	public Worker(Process process) {
		this.process = process;
	}

	@Override
	public void run() {
		try {
			exit = process.waitFor();
		} catch (InterruptedException ignore) {
			return;
		}
	}
}
